Obtém detalhes de um pedido
curl --request GET \
--url https://akeba.com.br/api/v1/pedidos/{pedidoId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://akeba.com.br/api/v1/pedidos/{pedidoId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://akeba.com.br/api/v1/pedidos/{pedidoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"numero": "<string>",
"status": "<string>",
"subtotal": "<string>",
"desconto": "<string>",
"frete_total": "<string>",
"total": "<string>",
"metodo_envio": "<string>",
"frete_prazo": "<string>",
"notes": "<string>",
"created_at": "<string>",
"itens": [
{
"id": "<string>",
"order_id": "<string>",
"product_id": "<string>",
"product_nome": "<string>",
"preco_unitario": "<string>",
"quantidade": "<string>",
"subtotal": "<string>",
"frete_valor": "<string>",
"item_status": "<string>",
"tracking_code": "<string>",
"cancellation_reason": "<string>",
"variation_options": "<string>",
"personalization_data": "<string>",
"delivery_type": "<string>",
"label_url": "<string>",
"superfrete_status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"aceito_em": "<string>",
"em_producao_em": "<string>",
"enviado_em": "<string>",
"entregue_em": "<string>",
"cancelado_em": "<string>",
"financeiro": {
"valor_liquido_vendedor": "<string>",
"comissao_pct": "<string>",
"valor_comissao": "<string>",
"status": "<string>",
"data_credito": "<string>"
},
"pedido": {
"id": "<string>",
"numero": "<string>",
"status": "<string>",
"metodo_envio": "<string>",
"created_at": "<string>"
}
}
],
"comprador": {
"nome": "<string>",
"email": "<string>",
"telefone": "<string>",
"cpf_cnpj": "<string>"
},
"pagamento": {
"metodo": "<string>",
"pago_em": "<string>"
},
"endereco_entrega": {
"nome_destinatario": "<string>",
"cep": "<string>",
"logradouro": "<string>",
"numero": "<string>",
"complemento": "<string>",
"bairro": "<string>",
"cidade": "<string>",
"estado": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Pedido
Obtém detalhes de um pedido
Retorna os detalhes completos de um pedido incluindo todos os seus itens e endereço de entrega. Apenas itens pertencentes à loja autenticada são incluídos.
GET
/
pedidos
/
{pedidoId}
Obtém detalhes de um pedido
⌘I